classification
Title: Docstring formatter.
Type: enhancement Stage:
Components: Library (Lib) Versions:
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: amc1, rhettinger
Priority: normal Keywords:

Created on 2002-09-09 13:58 by amc1, last changed 2008-01-29 21:10 by draghuram. This issue is now closed.

Messages (2)
msg61096 - (view) Author: Allan Crooks (amc1) Date: 2002-09-09 13:58
I think the code that pydoc uses to format docstrings 
(which is located in inspect.getdoc) should be exposed, 
so that you can in some way pass docstrings directly to 
be formatted, rather than "wrapping" them as a __doc__ 
attribute on a temporary object.
msg61097 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2003-06-28 06:51
Logged In: YES 
user_id=80475

The hassle of wrapping a __doc__ attribute is small and the 
use case is rare enough that there isn't much of a case for 
changing the module API.

Also, I'm concerned about module cohesion.  The purpose of 
the module is inspecting live objects.  Minor tweaking of 
docstring formatting is only a by-product and not a primary 
function.


History
Date User Action Args
2008-01-29 21:10:03draghuramsetstatus: open -> closed
resolution: rejected
2002-09-09 13:58:19amc1create